Module | ActionController::Caching::Actions
In: | lib/action_controller/caching.rb

Action caching is similar to page caching by the fact that the entire output of the response is cached, but unlike page caching, every request still goes through the Action Pack. The key benefit of this is that filters are run before the cache is served, which allows for authentication and other restrictions on whether someone is allowed to see the cache. Example:

      class ListsController < ApplicationController
        before_filter :authenticate, :except => :public
        caches_page   :public
        caches_action :show, :feed
      end

In this example, the public action doesn‘t require authentication, so it‘s possible to use the faster page caching method. But both the show and feed action are to be shielded behind the authenticate filter, so we need to implement those as action caches.

Action caching internally uses the fragment caching and an around filter to do the job. The fragment cache is named according to both the current host and the path. So a page that is accessed at david.somewhere.com/lists/show/1 will result in a fragment named "david.somewhere.com/lists/show/1". This allows the cacher to differentiate between "david.somewhere.com/lists/" and "jamis.somewhere.com/lists/" — which is a helpful way of assisting the subdomain-as-account-key pattern.

### Methods

expire_action

### Public Instance methods

expire_action(options = {})

[Validate]